
A minor removal of 6 function definitions from sched.h.  They clearly
fit better in file.h.  All users of these functions already include file.h.

diff -u linux-2.5.47/include/linux/sched.h linux-2.5.47-wait/include/linux/sched.h
--- linux-2.5.47/include/linux/sched.h	2002-11-15 05:44:44.000000000 -0800
+++ linux-2.5.47-wait/include/linux/sched.h	2002-11-15 11:11:47.000000000 -0800
@@ -606,17 +606,6 @@
 /* Remove the current tasks stale references to the old mm_struct */
 extern void mm_release(void);
 
-/*
- * Routines for handling the fd arrays
- */
-extern struct file ** alloc_fd_array(int);
-extern int expand_fd_array(struct files_struct *, int nr);
-extern void free_fd_array(struct file **, int);
-
-extern fd_set *alloc_fdset(int);
-extern int expand_fdset(struct files_struct *, int nr);
-extern void free_fdset(fd_set *, int);
-
 extern int  copy_thread(int, unsigned long, unsigned long, unsigned long, struct task_struct *, struct pt_regs *);
 extern void flush_thread(void);
 extern void exit_thread(void);
diff -u linux-2.5.47/include/linux/file.h linux-2.5.47-wait/include/linux/file.h
--- linux-2.5.47/include/linux/file.h	2002-08-01 14:16:00.000000000 -0700
+++ linux-2.5.47-wait/include/linux/file.h	2002-11-15 11:14:31.000000000 -0800
@@ -41,6 +41,13 @@ extern void put_filp(struct file *);
 extern int get_unused_fd(void);
 extern void FASTCALL(put_unused_fd(unsigned int fd));
 
+extern struct file ** alloc_fd_array(int);
+extern int expand_fd_array(struct files_struct *, int nr);
+extern void free_fd_array(struct file **, int);
+
+extern fd_set *alloc_fdset(int);
+extern int expand_fdset(struct files_struct *, int nr);
+extern void free_fdset(fd_set *, int);
 
 static inline struct file * fcheck_files(struct files_struct *files, unsigned int fd)
 {
